[@rxap/data-grid](../wiki/globals) / DataGridValuePipe

# Class: DataGridValuePipe\<T\>

Defined in: [data-grid-value.pipe.ts:13](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-value.pipe.ts#L13)

## Type Parameters

• **T** *extends* `Record`\<`string`, `unknown`\>

## Implements

- `PipeTransform`

## Constructors

### new DataGridValuePipe()

> **new DataGridValuePipe**\<`T`\>(): [`DataGridValuePipe`](../wiki/Class.DataGridValuePipe)\<`T`\>

#### Returns

[`DataGridValuePipe`](../wiki/Class.DataGridValuePipe)\<`T`\>

## Methods

### transform()

> **transform**(`data`, `path`?): `Observable`\<`unknown`\>

Defined in: [data-grid-value.pipe.ts:15](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-value.pipe.ts#L15)

#### Parameters

##### data

`Observable`\<`T`\>

##### path?

`string`

#### Returns

`Observable`\<`unknown`\>

#### Implementation of

`PipeTransform.transform`
